#ifndef __SHIFT_REG_H
#define __SHIFT_REG_H

#include <stdbool.h>


//
void sh_init(void);

//
void en_crnt_alrm_in(uint16_t val);

//
uint16_t sh_ai_mode(uint16_t val);

//
uint16_t sh_ai_mode_two(uint16_t val, uint8_t ch_1, uint8_t ch_2);

//
uint16_t sh_ao_mode(uint16_t val);

//
void sh_ai_connect(uint16_t val);

//
void sh_delay(void);


#endif  // __SHIFT_REG_H

